package server.automaton;

import org.junit.jupiter.api.Test;
import server.Player;
import server.TotemColor;

import java.util.ArrayList;
import java.util.List;

import static server.utils.GameUtils.formatTurnTile;

class GameTest {

    @Test
    void newGame() {
        List<Player> players = new ArrayList<>();
        players.add(new Player("Yellow", TotemColor.YELLOW));
        players.add(new Player("Blue", TotemColor.BLUE));
        players.add(new Player("Purple", TotemColor.PURPLE));
        players.add(new Player("Red", TotemColor.RED));
        players.add(new Player("Green", TotemColor.GREEN));

        Game game = new Game(players);
        game.newGame(getClass().getResourceAsStream("/files/cards.csv"));

        System.out.println("Round " + game.getRound());
        System.out.println("Game State " + game.getState());

        System.out.println("-- Turn Tile --\n" +formatTurnTile( game.getGameBoard().getTurnTile()));
        System.out.println("---- Offering Tiles ----\n" + game.getGameBoard().getOfferingTiles());

        System.out.println("______ Top _________    \n" + game.getGameBoard().getTopRow());
        System.out.println("______ Bottom _________ \n" + game.getGameBoard().getBottomRow());
    }

    @Test
    void placeTotem() {
    }

    @Test
    void resolveCardAction() {
    }

    @Test
    void extraDrawAction() {
    }

    @Test
    void skipExtraDraw() {
    }

    @Test
    void endGame() {
    }

    @Test
    void getPendingActions() {
    }
}